# Uses of Class
org.eclipse.jdt.core.manipulation.CoreASTProvider.WAIT_FLAG

Packages that use CoreASTProvider.WAIT_FLAG
Package
Description
org.eclipse.jdt.core.manipulation
Application programming interface for the JDT core manipulation plug-in class.

## Uses of CoreASTProvider.WAIT_FLAG in org.eclipse.jdt.core.manipulation

Fields in org.eclipse.jdt.core.manipulation declared as CoreASTProvider.WAIT_FLAG
Modifier and Type
Field
Description
`static final CoreASTProvider.WAIT_FLAG`
CoreASTProvider.`WAIT_ACTIVE_ONLY`
Wait flag indicating that a client requesting an AST only wants to wait for the shared AST of the active editor.
`static final CoreASTProvider.WAIT_FLAG`
CoreASTProvider.`WAIT_NO`
Wait flag indicating that a client requesting an AST only wants the already available shared AST.
`static final CoreASTProvider.WAIT_FLAG`
CoreASTProvider.`WAIT_YES`
Wait flag indicating that a client requesting an AST wants to wait until an AST is ready.
Methods in org.eclipse.jdt.core.manipulation with parameters of type CoreASTProvider.WAIT_FLAG
Modifier and Type
Method
Description
`CompilationUnit`
CoreASTProvider.`getAST(ITypeRoot input, CoreASTProvider.WAIT_FLAG waitFlag, org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
Returns a shared compilation unit AST for the given Java element.